# Generated by Django 3.1.3 on 2021-02-04 00:59

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import finanztool.pdf.generation.pdf_check


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('core', '0087_auto_20210126_0106'),
    ]

    operations = [
        migrations.RemoveField(
            model_name="offer",
            name="invoice",
        ),
        migrations.RemoveField(
            model_name="request",
            name="reason_file",
        ),
        migrations.AddField(
            model_name='offer',
            name='offer_file',
            field=models.FileField(default='', upload_to='', validators=[finanztool.pdf.generation.pdf_check.validate_file_size, finanztool.pdf.generation.pdf_check.is_pdf], verbose_name='Angebot'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name="request",
            name="net_single_amount",
            field=models.DecimalField(
                blank=True,
                decimal_places=2,
                max_digits=32,
                null=True,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="Netto-Einzelpreis",
            ),
        ),
        migrations.AddField(
            model_name='request',
            name='receipt',
            field=models.FileField(blank=True, null=True, validators=[finanztool.pdf.generation.pdf_check.validate_file_size], verbose_name='Belegdatei'),
        ),
        migrations.AddField(
            model_name="requester",
            name="password",
            field=models.CharField(blank=True, max_length=255, null=True, unique=True),
        ),
        migrations.AlterField(
            model_name="offer",
            name="net",
            field=models.DecimalField(
                decimal_places=2,
                max_digits=21,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="Nettopreis",
            ),
        ),
        migrations.AlterField(
            model_name='request',
            name='anual_plan',
            field=models.ForeignKey(default=finanztool.core.models.annual_plan.AnnualPlan.get_current, on_delete=django.db.models.deletion.PROTECT, to='core.anualplan', verbose_name='Haushaltsplan'),
        ),
        migrations.AlterField(
            model_name="request",
            name="date",
            field=models.DateField(auto_now_add=True, verbose_name="Antragsdatum"),
        ),
        migrations.AlterField(
            model_name="request",
            name="estimated_amount",
            field=models.DecimalField(
                decimal_places=2,
                max_digits=32,
                validators=[django.core.validators.MinValueValidator(0)],
                verbose_name="Voraussichtlicher Preis",
            ),
        ),
        migrations.AlterField(
            model_name="request",
            name="status",
            field=models.IntegerField(
                choices=[
                    (1, "New"),
                    (3, "offers needed"),
                    (4, "ZA3 requested"),
                    (5, "approved"),
                    (6, "declined"),
                    (7, "finished"),
                ],
                default=1,
            ),
        ),
        migrations.RemoveField(
            model_name="requester",
            name="user",
        ),
        migrations.AddField(
            model_name="requester",
            name="user",
            field=models.ManyToManyField(blank=True, to=settings.AUTH_USER_MODEL),
        ),
    ]
